VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::CategoryTypes::UpdateSpec Class Reference

The `Category.UpdateSpec` class describes the updates to be made to an existing category. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
string | GetName ()
| The display name of the category.
void | SetName (string name)
| The display name of the category.
string | GetDescription ()
| The description of the category.
void | SetDescription (string description)
| The description of the category.
vmware.cis.tagging.CategoryModel.Cardinality | GetCardinality ()
| The associated cardinality ( SINGLE, MULTIPLE) of the category.
void | SetCardinality (vmware.cis.tagging.CategoryModel.Cardinality cardinality)
| The associated cardinality ( SINGLE, MULTIPLE) of the category.
global::System.Collections.Generic.HashSet < string > | GetAssociableTypes ()
| Object types to which this category's tags can be attached.
void | SetAssociableTypes (global::System.Collections.Generic.HashSet< string > associableTypes)
| Object types to which this category's tags can be attached.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Category.UpdateSpec` class describes the updates to be made to an existing category.

Use the Category.Update method to modify a category. When you call the method, specify the category identifier. You obtain the category identifier when you call the Category.Create method. You can also retrieve an identifier by using the Category.List method.

## Constructor & Destructor Documentation

vmware::cis::tagging::CategoryTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::CategoryTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::CategoryTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::CategoryTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::CategoryTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::CategoryTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::CategoryTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::cis::tagging::CategoryTypes::UpdateSpec::GetAssociableTypes | ( |  | ) | `[inline]`

Object types to which this category's tags can be attached.

The set of associable types cannot be updated incrementally. For example, if Category.UpdateSpec.associableTypes originally contains {A,B,C} and you want to add D, then you need to pass {A,B,C,D} in your update specification. You also cannot remove any item from this set. For example, if you have {A,B,C}, then you cannot remove say {A} from it. Similarly, if you start with an empty set, then that implies that you can tag any object and hence you cannot later pass say {A}, because that would be restricting the type of objects you want to tag. Thus, associable types can only grow and not shrink.

vmware.cis.tagging.CategoryModel.Cardinality vmware::cis::tagging::CategoryTypes::UpdateSpec::GetCardinality | ( |  | ) | `[inline]`

The associated cardinality ( SINGLE, MULTIPLE) of the category.

string vmware::cis::tagging::CategoryTypes::UpdateSpec::GetDescription | ( |  | ) | `[inline]`

The description of the category.

override int vmware::cis::tagging::CategoryTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::cis::tagging::CategoryTypes::UpdateSpec::GetName | ( |  | ) | `[inline]`

The display name of the category.

void vmware::cis::tagging::CategoryTypes::UpdateSpec::SetAssociableTypes | ( | global::System.Collections.Generic.HashSet< string > | associableTypes | ) | `[inline]`

Object types to which this category's tags can be attached.

The set of associable types cannot be updated incrementally. For example, if Category.UpdateSpec.associableTypes originally contains {A,B,C} and you want to add D, then you need to pass {A,B,C,D} in your update specification. You also cannot remove any item from this set. For example, if you have {A,B,C}, then you cannot remove say {A} from it. Similarly, if you start with an empty set, then that implies that you can tag any object and hence you cannot later pass say {A}, because that would be restricting the type of objects you want to tag. Thus, associable types can only grow and not shrink.

void vmware::cis::tagging::CategoryTypes::UpdateSpec::SetCardinality | ( | vmware.cis.tagging.CategoryModel.Cardinality | cardinality | ) | `[inline]`

The associated cardinality ( SINGLE, MULTIPLE) of the category.

void vmware::cis::tagging::CategoryTypes::UpdateSpec::SetDescription | ( | string | description | ) | `[inline]`

The description of the category.

void vmware::cis::tagging::CategoryTypes::UpdateSpec::SetName | ( | string | name | ) | `[inline]`

The display name of the category.

override string vmware::cis::tagging::CategoryTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CategoryTypes.cs